## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 12;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global packname kernlab
%global packvers 0.9
%global packrel 31
%global rlibdir %{_libdir}/R/library

Name:		R-%{packname}
Version:	%{packvers}.%{packrel}
Release:	%autorelease
Summary:	GNU R package for kernel-based machine learning lab

License:	GPL-2.0-only
URL:		https://CRAN.R-project.org/package=%{packname}
Source:		%{url}&version=%{packvers}-%{packrel}#/%{packname}_%{packvers}-%{packrel}.tar.gz

BuildRequires:	R-devel
BuildRequires:	tex(latex)

ExcludeArch:	%{ix86} s390x

%description
Kernel-based machine learning methods for classification,
regression, clustering, novelty detection, quantile regression
and dimensionality reduction. Among other methods 'kernlab'
includes Support Vector Machines, Spectral Clustering, 
Kernel PCA, Gaussian Processes and a QP solver.

%prep
%setup -q -c -n %{packname}

%build

%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css

%check
%{_bindir}/R CMD check %{packname}

%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/CITATION
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%license %{rlibdir}/%{packname}/COPYRIGHTS
%{rlibdir}/%{packname}/DESCRIPTION
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/data
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/libs

%changelog
## START: Generated by rpmautospec
* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.31-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Apr 25 2024 Iñaki Úcar <iucar@fedoraproject.org> - 0.9.31-11
- R-maint-sig mass rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.31-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.31-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.31-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Apr 21 2023 Iñaki Úcar <iucar@fedoraproject.org> - 0.9.31-7
- Fix BuildRequires

* Fri Apr 21 2023 Iñaki Úcar <iucar@fedoraproject.org> - 0.9.31-6
- R-maint-sig mass rebuild

* Wed Jan 18 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.31-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Sep 04 2022 Iñaki Úcar <iucar@fedoraproject.org> - 0.9.31-4
- R 4.2.1

* Fri Aug 05 2022 aekoroglu <ali.erdinc.koroglu@intel.com> - 0.9.31-3
- exclude s390x because of 'memory not mapped' segfault

* Fri Jul 22 2022 Ali Erdinc Koroglu <aekoroglu@fedoraproject.org> - 0.9.31-1
- Update to 0.9.31

* Wed Apr 27 2022 Ali Erdinc Koroglu <aekoroglu@fedoraproject.org> - 0.9.30-1
- Initial build (#987049)

## END: Generated by rpmautospec
